## inkscape 0.92.1

=== share/filters/CMakeLists.txt ===
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/filters.svg.h
  COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py ${CMAKE_CURRENT_SOURCE_DIR}/filters.svg > ${CMAKE_CURRENT_SOURCE_DIR}/filters.svg.h
  MAIN_DEPENDENCY ${CMAKE_CURRENT_SOURCE_DIR}/filters.svg
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py
)
add_custom_target(filters_svg_h ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/filters.svg.h)

install(FILES "filters.svg" "filters.svg.h" "README" DESTINATION ${INKSCAPE_SHARE_INSTALL}/filters)

=== share/symbols/CMakeLists.txt ===
file(GLOB _FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.svg")

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/symbols.h
  COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py ${_FILES} > ${CMAKE_CURRENT_SOURCE_DIR}/symbols.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py ${_FILES}
)
add_custom_target(symbols_h ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/symbols.h)

install(FILES ${_FILES} "symbols.h" "README" DESTINATION ${INKSCAPE_SHARE_INSTALL}/symbols)

=== share/templates/CMakeLists.txt ===
file(GLOB _FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.svg")

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/templates.h
  COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py ${_FILES} > ${CMAKE_CURRENT_SOURCE_DIR}/templates.h
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/i18n.py ${_FILES}
)
add_custom_target(templates_h ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/templates.h)

install(FILES ${_FILES} "templates.h" "README" DESTINATION ${INKSCAPE_SHARE_INSTALL}/templates)

=== debian/changelog ===
inkscape (0.92.1-1) unstable; urgency=medium

  * New upstream version 0.92.1.
    http://wiki.inkscape.org/wiki/index.php/Release_notes/0.92.1
    + Fixes a bug involving the line-height CSS property.  Closes: #852837
  * Remove patches applied upstream.
  * Backport patch from upstream trunk:
    + 15848: support for old scour 0.26.  Closes: #852290

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 16 Feb 2017 11:32:16 +0100

inkscape (0.92.0-4) unstable; urgency=medium

  * Backport more patches from upstream 0.92.x branch
    + 15320: Fix regression on selecting objects after locking layers
    + 15323: Fix crash on ungrouping in v0.92
    + 15324: Fix nsane memory leak and crash with pattern along path
    + 15325: Fixes bugs in copy LPE's
  * Move patches from upstream's 0.92.x branch under the upstream/0.92.x
    directory, and the ones from trunk under upstream/trunk,
    and name them after the upstream commit number.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 22 Jan 2017 20:45:39 +0100

inkscape (0.92.0-3) unstable; urgency=medium

  * d/rules: don't run dh_scour, to avoid breaking internal SVGs (markers, …).
    LP: #1638373

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 12 Jan 2017 01:05:44 +0100

inkscape (0.92.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Gbp: back to master.
  * d/control:
    + require a new enough version of bash-completion, so backports users will
      still have bash completion after the upgrade.
    + Recommend python-scour to enable the feature "save as optimized svg".
  * New patches from upstream trunk:
    + 0002-Fix-lintian-s-executable-not-elf-or-script.patch
    + 0003-Install-the-localized-manpages-in-the-correct-path.patch
    + 0006-Suppress-warnings-on-symbols-dialog.patch
  * New patches waiting to be upstreamed:
    + 0004-typos-libcroco.patch
    + 0005-Fix-typo-in-a-variable-name.patch
  * d/inkscape.lintian-overrides: drop, lintian warnings fixed by properly
    installing the manpages.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 09 Jan 2017 15:03:04 +0100

inkscape (0.92.0-1) experimental; urgency=medium

  * New upstream version 0.92.0.
    https://inkscape.org/en/news/2017/01/04/inkscape-version-092-released/
    http://wiki.inkscape.org/wiki/index.php/Release_notes/0.92
    + Fix bug where arcs were not rendered accuretely.  Closes: #668224
    + Fix crash when using the poppler PDF importer.  Closes: #816494
    + Fix bug involving duplicating a text linked to a path.  Closes: #522532
    + Fix bug where Bézier curves were drawn instead of arcs.  Closes: #598791
    + Fix bug on parsing flags for arch path.  Closes: #740785
  * gbp: switch packaging branch to experimental.
  * Bump debhelper compat level to 10.
    + Drop --parallel and '--with autotools_dev', now defaults.
  * Drop patches applied upstream
    - fix-FTBFS.patch
    - reproducible-build.patch
    - fix-FTBFS-with-gcc6.patch
    - fix-cursor-color-in-BE.patch
  * Move to the cmake build system
  * d/control:
    + Build-dep on libpotrace-dev for the Trace Bitmap and Paintbucket tools.
    + Build-dep on libdbus-1-dev and libdbus-glib-1-dev for dbus support.
  * d/rules:
    + Enable DBus support.
    + Override override_dh_autoreconf, useless now that we're using cmake.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Jan 2017 16:54:12 +0100

inkscape (0.91-12) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * d/control: Use https for the Homepage field.  Closes: #837291

  [ Mattia Rizzolo ]
  * Add patch to fix cursor colors when running in a Big Endian systems.
    Thanks to Steven Gawroriski <steven@multiphasicapps.net> for the patch.
    Closes: #841853
  * Mark the reproducible-builds patch as forwarded (and applied).

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 11 Nov 2016 16:57:07 +0000

inkscape (0.91-11) unstable; urgency=medium

  * Build with gnome-pkg-tools for automatic langpack support in Ubuntu.
    This will allow to drop the last delta between Debian and Ubuntu.
    Thanks to Jeremy Bicha <jbicha@ubuntu.com> for the patch.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 06 Sep 2016 08:50:37 +0000

inkscape (0.91-10) unstable; urgency=medium

  * Add patch to fix compilation with gcc-6 (with --std=c++14).  Closes: #835716

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 02 Sep 2016 15:04:34 +0000

inkscape (0.91-9) unstable; urgency=medium

  * Disable gnome-vfs support.  Closes: #822912
  * debian/rules:
    + Remove dh_auto_configure override: those are default options anyway.
    + Remove useless variable definitions.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 29 Apr 2016 15:45:03 +0000

inkscape (0.91-8) unstable; urgency=medium

  * debian/control:
    + Use my @debian.org email address.
    + Bump Standards-Version to 3.9.8, no changes needed.
    + Use HTTPS in Vcs-Git.
    + Demote pstoedit to Suggests.
    + Document suggested packages.  Closes: #771807
  * debian/watch: rewrite, using format=4 and pgpmode=next/prev to allow gpg
    verification of the tarball.
    Thanks to Osamu Aoki <osamu@debian.org> for the help and for implementing
    all this new stuff in devscripts.
  * debian/inkscape.menu: remove, after CTTE's decision in #741573.
  * debian/patches/fix-FTBFS.patch: backport patch from upstream to fix FTBFS
    with a glibmm without Glib::ScopedPtr.  Closes: #822392

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Apr 2016 22:06:31 +0000

=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matteo F. Vescovi <mfv@debian.org>,
 Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 bash-completion (>= 1:2.1-4.2),
 cmake,
 debhelper (>= 10),
 dh-python,
 gnome-pkg-tools,
 libart-2.0-dev (>= 2.3.10),
 libaspell-dev,
 libboost-dev,
 libcdr-dev,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libgc-dev (>= 1:6.8),
 libglib2.0-dev,
 libgsl-dev,
 libgtk2.0-dev (>= 2.10.0),
 libgtkmm-2.4-dev,
 libgtkspell-dev,
 liblcms2-dev,
 libmagick++-dev,
 libpango1.0-dev,
 libpng-dev,
 libpoppler-glib-dev,
 libpoppler-private-dev,
 libpopt-dev,
 libpotrace-dev,
 librevenge-dev,
 libsigc++-2.0-dev (>= 2.0.16-2),
 libtool,
 libvisio-dev,
 libwpg-dev (>= 0.3.0),
 libxml-parser-perl,
 libxml2-dev (>= 2-2.4.24),
 libxslt1-dev,
 pkg-config,
 python-dev,
 python-lxml,
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://inkscape.org
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/inkscape.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/inkscape.git

Package: inkscape
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 aspell,
 imagemagick,
 libimage-magick-perl,
 libwmf-bin,
 python-lxml,
 python-numpy,
 python-scour,
 transfig
Suggests:
 dia | dia-gnome,
 libsvg-perl,
 libxml-xql-perl,
 pstoedit,
 python-uniconvertor,
 ruby
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 A selection of powerful vector graphics editing tools comes as
 standard. There is excellent support for paths, gradients, layers,
 alpha transparency and text flow control. An extensive library of
 filters allow you to apply realistic effects and extensions allow you
 to work with bitmaps, barcodes and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe
 Illustrator and AutoCAD files, and it has unrivalled support for the
 SVG web graphics standard.
 .
 Between the suggested packages:
  * dia: to export Dia shapes;
  * libsvg-perl: to import .txt files (txt2svg extension);
  * libxml-xql-perl: to use the shadow effect;
  * python-uniconvertor: enables several import/export extensions;
  * pstoedit: to work with eps files;
  * ruby: there are several extensions written in ruby;

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem cmake --with python2,bash-completion,gnome

# Don't waste CPU cycles in autoreconfig a package building with cmake.
override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_DBUS=ON \

override_dh_gnome_clean:
	dh_gnome_clean --no-control

# Don't run scour, there is no need for it at all, and the deafults are not
# appropriate for inkscape's SVGs
# https://bugs.launchpad.net/ubuntu/+source/inkscape/+bug/1638373
override_dh_scour:

=== debian/watch ===
version=4

# main tarball
opts="\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/, \
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//, \
pgpmode=next" \
https://launchpad.net/inkscape/+download \
(?:.*/)?inkscape[_\-\.]?(\d\S+)\.(?:tgz|txz|tar\.(?:bz2|gz|z2|xz)) debian

# find the signature
opts="pgpmode=previous" \
https://launchpad.net/inkscape/+download \
(?:.*/)?inkscape[_\-\.]?(\d\S+)\.(?:tgz|txz|tar\.(?:bz2|gz|z2|xz)).(?:asc|pgp|gpg|sig) previous

## inkscape 0.92.2

=== debian/changelog ===
inkscape (0.92.2-1build1) artful; urgency=medium

  * No-change rebuild against latest poppler

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 10 Aug 2017 18:43:47 -0400

inkscape (0.92.2-1) unstable; urgency=medium

  * New upstream version 0.92.2.
    http://wiki.inkscape.org/wiki/index.php/Release_notes/0.92.2
    + Fix PDF+TeX output for text inside groups with clip/mask.
      Closes: #823953; LP: #1417470
  * Update the upstream signing keys.
  * Bump Standards-Version to 4.0.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 09 Aug 2017 11:36:38 +0200

inkscape (0.92.2~pre0-1) unstable; urgency=medium

  * New upstream version 0.92.2~pre0.
    http://wiki.inkscape.org/wiki/index.php/Release_notes/0.92.2
    + Fix an integer overflow.  Closes: #838654
    + Fix compilation with GCC 7.  Closes: #853453
  * d/dirs: remove, useless.
  * d/patches: drop 15484 patch, applied upstream.
  * d/control: bump Standards-Version to 4.0.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Jul 2017 16:07:58 +0200

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
  python-dev,
  python-lxml,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://inkscape.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/inkscape.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/inkscape.git

## inkscape 0.92.3

=== share/attributes/CMakeLists.txt ===
set(_FILES "svgprops" "cssprops" "css_defaults" "README")
install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/attributes)

=== share/symbols/CMakeLists.txt ===
--- 
+++ 
@@ -8,4 +8,4 @@
 )
 add_custom_target(symbols_h ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/symbols.h)
 
-install(FILES ${_FILES} "symbols.h" "README" DESTINATION ${INKSCAPE_SHARE_INSTALL}/symbols)
+install(FILES ${_FILES} "README" DESTINATION ${INKSCAPE_SHARE_INSTALL}/symbols)

=== share/ui/CMakeLists.txt ===
file(GLOB _FILES "*.xml" "*.rc" "*.css")
install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/ui)

=== src/libdepixelize/CMakeLists.txt ===

set(libdepixelize_SRC
	kopftracer2011.cpp

	# -------
	# Headers
	kopftracer2011.h
	splines.h

	priv/branchless.h
	priv/colorspace.h
	priv/curvature.h
	priv/homogeneoussplines.h
	priv/integral.h
	priv/iterator.h
	priv/optimization-kopf2011.h
	priv/pixelgraph.h
	priv/point.h
	priv/simplifiedvoronoi.h
	priv/splines-kopf2011.h
)

add_inkscape_lib(depixelize_LIB "${libdepixelize_SRC}")

=== src/libvpsc/CMakeLists.txt ===

set(libvpsc_SRC
	block.cpp
	blocks.cpp
	constraint.cpp
	generate-constraints.cpp
	remove_rectangle_overlap.cpp
	solve_VPSC.cpp
	variable.cpp
	pairingheap/PairingHeap.cpp


	# -------
	# Headers
	block.h
	blocks.h
	constraint.h
	generate-constraints.h
	pairingheap/PairingHeap.h
	pairingheap/dsexceptions.h
	placement_SolveVPSC.h
	remove_rectangle_overlap.h
	solve_VPSC.h
	variable.h
)

add_inkscape_lib(vpsc_LIB "${libvpsc_SRC}")

=== debian/changelog ===
inkscape (0.92.3-4) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * d/bash-completion: fix completion to use the runtime-evaluating _have()
    instead of the static check have().  LP: #1792835
  * Mark inkscape-tutorials as Multi-Arch:foreign (from the m-a hinter).
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Add patch from upstream to make the command-line PDF output reproducible.
    Thanks to Chris Lamb <lamby@debian.org> for the patch!  Closes: #893314

  [ Andrej Shadura ]
  * Add patch from upstream to fix crash when resizing elements with snapping
    enabled.  Closes: #910379; LP: #1796046

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 08 Oct 2018 11:27:04 +0200

inkscape (0.92.3-3) unstable; urgency=medium

  * Team upload.
  * Backport 2 patches to fix build with poppler 0.65.

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 25 Aug 2018 10:29:08 -0400

inkscape (0.92.3-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.1.4, no changes needed.
  * Split the tutorials on their own inkscape-tutorials binary, and don't
    install them by default.  Closes: #471076; LP: #238276

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 21 May 2018 16:22:40 +0200

inkscape (0.92.3-1) unstable; urgency=medium

  * New upstream version 0.92.3.
    http://wiki.inkscape.org/wiki/index.php/Release_notes/0.92.3
    https://inkscape.org/en/news/2018/03/22/announcing-0923-release-inkscape

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 23 Mar 2018 17:43:46 +0100

inkscape (0.92.3~pre0-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 0.92.3~pre0.
    http://wiki.inkscape.org/wiki/index.php/Release_notes/0.92.3
    + Compact layout for Document Properties.  Closes: #867083; LP: #1510831
  * d/control: Update Maintainer address to move away from alioth.
  * Rename d/mime to d/inkscape.mime for consistency.
  * Drop patch for poppler 0.58, applied upstream.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Mar 2018 21:53:25 +0100

inkscape (0.92.2-3) unstable; urgency=medium

  * Bump debhelper compat level to 11.
  * Stop using gnome-pkg-tools.
    inkscape in Ubuntu has been demoted from main to universe, so there is
    no need to do anything regarding language packs.  Closes: #885108
  * Rename d/docs to d/inkscape.docs for clearity.
  * debian/control:
    + Drop unused build-dependency on libart-2.0-dev.  Closes: #885794
    + Bump Standards-Version to 4.1.3, no changes needed.
    + Set Rules-Requires-Root: no.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 30 Dec 2017 23:15:28 +0100

inkscape (0.92.2-2) unstable; urgency=medium

  * debian/control:
    + Remove alternative suggestion of dia-gnome, not available anymore.
      Closes: #878585
    + Bump Standards-Version 4.1.2, no changes needed.
  * Add patch from upstream to fix build with poppler 0.58.  Closes: #883519

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Dec 2017 21:02:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: inkscape
 Section: graphics
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Matteo F. Vescovi <mfv@debian.org>,
- Mattia Rizzolo <mattia@debian.org>
+ Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  bash-completion (>= 1:2.1-4.2),
  cmake,
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
- gnome-pkg-tools,
- libart-2.0-dev (>= 2.3.10),
+ python,
+Build-Depends-Arch:
  libaspell-dev,
  libboost-dev,
  libcdr-dev,
@@ -42,18 +42,19 @@
  pkg-config,
  python-dev,
  python-lxml,
- zlib1g-dev
-Standards-Version: 4.0.1
+ zlib1g-dev,
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: https://inkscape.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/inkscape.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/inkscape.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/inkscape.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/inkscape
 
 Package: inkscape
 Architecture: any
 Depends:
  ${misc:Depends},
  ${python:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
 Recommends:
  aspell,
  imagemagick,
@@ -62,14 +63,15 @@
  python-lxml,
  python-numpy,
  python-scour,
- transfig
+ transfig,
 Suggests:
- dia | dia-gnome,
+ dia,
+ inkscape-tutorials,
  libsvg-perl,
  libxml-xql-perl,
  pstoedit,
  python-uniconvertor,
- ruby
+ ruby,
 Description: vector-based drawing program
  Inkscape is an illustration editor which has everything needed to
  create professional-quality computer art. You can use it to make
@@ -95,3 +97,25 @@
   * python-uniconvertor: enables several import/export extensions;
   * pstoedit: to work with eps files;
   * ruby: there are several extensions written in ruby;
+
+Package: inkscape-tutorials
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Recommends:
+ inkscape,
+Breaks:
+ inkscape (<= 0.92.3-2~),
+Replaces:
+ inkscape (<= 0.92.3-2~),
+Description: vector-based drawing program - tutorials
+ Inkscape is an illustration editor which has everything needed to
+ create professional-quality computer art. You can use it to make
+ diagrams and illustrations, technical drawings, web graphics, clip art,
+ icons and logos. A collection of hands-on tutorials show you how to
+ combine lines, shapes and text of different types and styles to build
+ up a picture.
+ .
+ This package contains the tutorials, accessible from the Help > Tutorials
+ menu.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem cmake --with python2,bash-completion

# Don't waste CPU cycles in autoreconfig a package building with cmake.
override_dh_autoreconf:

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DWITH_DBUS=ON \

override_dh_auto_install-arch:
	# The tutorials are manually installed, the rest goes here
	dh_auto_install --destdir=debian/inkscape
	rm -rv  debian/inkscape/usr/share/inkscape/tutorials

oeverride_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure-indep: nothing
override_dh_auto_build-indep: nothing
override_dh_auto_install-indep: nothing
override_dh_auto_test: nothing
.PHONY: nothing
nothing:
	: Do nothing for the -indep build

## inkscape 0.92.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)

cmake_policy(SET CMP0003 NEW) # don't be prolific with library paths
cmake_policy(SET CMP0005 NEW) # proper define quoting
cmake_policy(SET CMP0009 NEW) # don't follow symbolic links when using GLOB

message("------------------------------")
message("Building Makefile for Inkscape")
message("------------------------------")
message("Source Dir: ${CMAKE_CURRENT_SOURCE_DIR}")
message("Binary Dir: ${CMAKE_CURRENT_BINARY_DIR}")

# -----------------------------------------------------------------------------
# CMake Configuration
# -----------------------------------------------------------------------------
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeScripts/Modules")

# avoid having empty buildtype
set(CMAKE_BUILD_TYPE_INIT "Release")

include(CMakeScripts/HelperFunctions.cmake)
include(CMakeScripts/ConfigEnv.cmake)
include(CMakeScripts/ConfigPaths.cmake)

project(inkscape)
set(PROJECT_NAME inkscape)

set(INKSCAPE_VERSION_MAJOR  0)
set(INKSCAPE_VERSION_MINOR 92)
set(INKSCAPE_VERSION_PATCH  4)
set(INKSCAPE_VERSION_SUFFIX "")

set(INKSCAPE_VERSION ${INKSCAPE_VERSION_MAJOR}.${INKSCAPE_VERSION_MINOR})
if(INKSCAPE_VERSION_PATCH)
    set(INKSCAPE_VERSION ${INKSCAPE_VERSION}.${INKSCAPE_VERSION_PATCH})
endif()
if(INKSCAPE_VERSION_SUFFIX)
    set(INKSCAPE_VERSION ${INKSCAPE_VERSION}${INKSCAPE_VERSION_SUFFIX})
endif()

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

if(APPLE)
    SET(CMAKE_MACOSX_RPATH TRUE)
    SET(CMAKE_INSTALL_RPATH "@loader_path/../lib/inkscape")
else()
    SET(CMAKE_INSTALL_RPATH "$ORIGIN/../lib/inkscape")
endif()

# workaround for omission in cmake 2.8.4's GNU.cmake, fixed in 2.8.5
if(CMAKE_COMPILER_IS_GNUCC)
    if(NOT DARWIN)
	set(CMAKE_INCLUDE_SYSTEM_FLAG_C "-isystem ")
    endif()
endif()

# console output is slow as hell on Windows and as a result status messages of the "install" target slow down
# the whole build process considerably (especially since we also copy a lot of files from the devlibs)
# TODO: Is this worth to be configurable / also applicable to other platforms?
if(WIN32 AND NOT CMAKE_INSTALL_MESSAGE)
    set(CMAKE_INSTALL_MESSAGE "LAZY")
endif()


# -----------------------------------------------------------------------------
# Redirect output files
# -----------------------------------------------------------------------------
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE PATH "Output directory for runtime binaries")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib CACHE PATH "Output directory for libraries")

# -----------------------------------------------------------------------------
# Options
# -----------------------------------------------------------------------------
option(WITH_DBUS "Compile with support for DBus interface" OFF)
option(ENABLE_LCMS "Compile with LCMS support" ON)
option(WITH_GNOME_VFS "Compile with support for Gnome VFS" ON)
option(WITH_SVG2 "Compile with support for new SVG2 features" ON)
option(WITH_LPETOOL "Compile with LPE Tool and experimental LPEs enabled" OFF)
#option(WITH_INKJAR "Enable support for openoffice files (SVG jars)" ON)
option(WITH_OPENMP "Compile with OpenMP support" ON)

option(WITH_PROFILING "Turn on profiling" OFF) # Set to true if compiler/linker should enable profiling

option(ENABLE_POPPLER "Compile with support of libpoppler" ON)
option(ENABLE_POPPLER_CAIRO "Compile with support of libpoppler-cairo for rendering PDF preview (depends on ENABLE_POPPLER)" ON)
option(WITH_IMAGE_MAGICK "Compile with support of ImageMagick for raster extensions and image import resolution" ON)
option(WITH_LIBCDR "Compile with support of libcdr for CorelDRAW Diagrams" ON)
option(WITH_LIBVISIO "Compile with support of libvisio for Microsoft Visio Diagrams" ON)
option(WITH_LIBWPG "Compile with support of libwpg for WordPerfect Graphics" ON)
option(WITH_NLS "Compile with Native Language Support (using gettext)" ON)
option(WITH_GTK3_EXPERIMENTAL "Enable compilation with GTK+3 (EXPERIMENTAL!)" OFF)

option(ENABLE_BINRELOC "Enable relocatable binaries" OFF)

# -----------------------------------------------------------------------------
# Test Harness
# -----------------------------------------------------------------------------
find_package(GTest) # gtest 1.8.0 and later already include gmock
if(GTEST_FOUND AND EXISTS "${GTEST_INCLUDE_DIR}/gmock" AND IS_DIRECTORY "${GTEST_INCLUDE_DIR}/gmock")
    set(GMOCK_PRESENT ON)
else()
    unset(GTEST_FOUND)
    if(NOT GMOCK_DIR)
        find_path(GMOCK_DIR
              NAMES src/gmock.cc
              PATHS "$ENV{GMOCK_DIR}"
                "/usr/src/googletest/googlemock"
                "/usr/src/gmock"
                "${CMAKE_SOURCE_DIR}/gtest/gmock-1.7.0"
             )
    endif(NOT GMOCK_DIR)
    if(EXISTS "${GMOCK_DIR}" AND IS_DIRECTORY "${GMOCK_DIR}")
        set(GMOCK_PRESENT ON)
    else()
        set(GMOCK_PRESENT OFF)
        message("No gmock/gtest found! Perhaps you wish to run 'bash download-gtest.sh' to download it.")
    endif()
endif()

include(CMakeScripts/DefineDependsandFlags.cmake) # Includes, Compiler Flags, and Link Libraries
include(CMakeScripts/HelperMacros.cmake) # Misc Utility Macros


# -----------------------------------------------------------------------------
# BAD HACKS, NEED TO INVESTIGATE MAKING THESE LESS BAD
if (NOT CMAKE_BUILD_TYPE MATCHES Debug)
  add_definitions(-D_FORTIFY_SOURCE=2)
endif()
add_definitions(-DORBIT2=1)
add_definitions(-DHAVE_CONFIG_H)
add_definitions(-DHAVE_CAIRO_PDF=1)  # needed for src/libnrtype/Layout-TNG.h
add_definitions(-DHAVE_TR1_UNORDERED_SET) # XXX make an option!
if(NOT WIN32)
    add_definitions(-fPIC)
endif()
#
# end badness
# -----------------------------------------------------------------------------

# -----------------------------------------------------------------------------
# Relocatable Binary
# -----------------------------------------------------------------------------

if (ENABLE_BINRELOC)
	add_definitions(-DENABLE_BINRELOC)
endif()

# -----------------------------------------------------------------------------
# Dist Targets
# -----------------------------------------------------------------------------
include(CMakeScripts/Dist.cmake)

# -----------------------------------------------------------------------------
# Uninstall Target
# -----------------------------------------------------------------------------
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


# -----------------------------------------------------------------------------
# Subdirs (on only 1 atm), but a lot happens here
# -----------------------------------------------------------------------------
add_subdirectory(src)

if(ENABLE_NLS)
    add_subdirectory(po)
endif(ENABLE_NLS)

# -----------------------------------------------------------------------------
# Man pages
# -----------------------------------------------------------------------------
if(NOT WIN32)
	include("CMakeScripts/Pod2man.cmake")

	# Load AUTHORS file contents into $INKSCAPE_AUTHORS
	file(READ ${CMAKE_CURRENT_SOURCE_DIR}/AUTHORS content)
	string(REGEX REPLACE "^([^\n#]+)\n" "\\1;\n" content_list "${content}")
	
	join(INKSCAPE_AUTHORS "," "${content_list}")

	foreach(podfile
			man/inkscape.pod
			man/inkscape.de.pod
			man/inkscape.el.pod
			man/inkscape.fr.pod
			man/inkscape.ja.pod
			man/inkscape.sk.pod
			man/inkscape.zh_TW.pod
			man/inkview.pod)
			
		set(POD_IN ${CMAKE_CURRENT_SOURCE_DIR}/${podfile}.in)
		set(POD_OUT ${CMAKE_CURRENT_BINARY_DIR}/${podfile})
		
		configure_file(${POD_IN} ${POD_OUT})
		
		pod2man(${POD_OUT} ${INKSCAPE_VERSION} 1 "Inkscape Commands Manual")
	endforeach()
endif()

# -----------------------------------------------------------------------------
# Installation
# -----------------------------------------------------------------------------
add_subdirectory(share)

if(HAVE_MSYS2)
  include(CMakeScripts/InstallMSYS2.cmake)
else()
  include(CMakeScripts/Install.cmake)
endif()

# -----------------------------------------------------------------------------
# Clean
# -----------------------------------------------------------------------------
add_custom_target(clean-cmake-files
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

add_custom_target(clean-all
    COMMAND ${CMAKE_BUILD_TOOL} clean
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

#-----------------------------------------------------------------------------
if(GMOCK_PRESENT)
    enable_testing()
    add_subdirectory(testfiles EXCLUDE_FROM_ALL)
    set(CMAKE_CTEST_COMMAND ctest -V)
    add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} DEPENDS tests)
endif()

# Canonicalize the flags to speed up recompilation using ccache/etc.
# This should be the last thing we do:
include(CMakeScripts/CanonicalizeFlagsVar.cmake)
canonicalize_flags_var("${CMAKE_CXX_FLAGS}" _new_cxx)
set(CMAKE_CXX_FLAGS "${_new_cxx}" CACHE STRING "" FORCE)
# message(FATAL_ERROR "CMAKE_CXX_FLAGS = <${CMAKE_CXX_FLAGS}>")


# ----------------------------------------------------------------------
# Information Summary
# ----------------------------------------------------------------------
message("------------------------------------------------------------------------")
message("Configuration Summary")
message("------------------------------------------------------------------------")
# project info
message("PROJECT_NAME:            ${PROJECT_NAME}")
message("INKSCAPE_VERSION:        ${INKSCAPE_VERSION}")
message("INKSCAPE_DIST_PREFIX:    ${INKSCAPE_DIST_PREFIX}")
message("")

# cmake info
message("CMAKE_BINARY_DIR:        ${CMAKE_BINARY_DIR}")
message("CMAKE_INSTALL_PREFIX:    ${CMAKE_INSTALL_PREFIX}")
message("PACKAGE_LOCALE_DIR       ${PACKAGE_LOCALE_DIR}")
message("CMAKE_SYSTEM_NAME:       ${CMAKE_SYSTEM_NAME}")
message("CMAKE_SYSTEM_VERSION:    ${CMAKE_SYSTEM_VERSION}")
message("CMAKE_SYSTEM_PROCESSOR:  ${CMAKE_SYSTEM_PROCESSOR}")
message("CMAKE_C_COMPILER:        ${CMAKE_C_COMPILER}")
message("CMAKE_CXX_COMPILER:      ${CMAKE_CXX_COMPILER}")
message("CMAKE_BUILD_TYPE:        ${CMAKE_BUILD_TYPE}")
message("ENABLE_BINRELOC:         ${ENABLE_BINRELOC}")
message("")

if(WIN32)
message("CMAKE_PREFIX_PATH:           ${CMAKE_PREFIX_PATH}")
message("CMAKE_FIND_LIBRARY_PREFIXES: ${CMAKE_FIND_LIBRARY_PREFIXES}")
message("CMAKE_FIND_LIBRARY_SUFFIXES: ${CMAKE_FIND_LIBRARY_SUFFIXES}")
message("")
endif()

# dependency info
message("ENABLE_LCMS:             ${ENABLE_LCMS}")
message("ENABLE_POPPLER:          ${ENABLE_POPPLER}")
message("ENABLE_POPPLER_CAIRO:    ${ENABLE_POPPLER_CAIRO}")
message("GMOCK_PRESENT:           ${GMOCK_PRESENT}")
message("WITH_DBUS:               ${WITH_DBUS}")
message("WITH_GNOME_VFS:          ${WITH_GNOME_VFS}")
message("WITH_GTK3_EXPERIMENTAL:  ${WITH_GTK3_EXPERIMENTAL}")
message("WITH_GTKSPELL:           ${WITH_GTKSPELL}")
message("WITH_IMAGE_MAGICK:       ${WITH_IMAGE_MAGICK}")
message("WITH_LIBCDR:             ${WITH_LIBCDR}")
message("WITH_LIBVISIO:           ${WITH_LIBVISIO}")
message("WITH_LIBWPG:             ${WITH_LIBWPG}")
message("WITH_NLS:                ${WITH_NLS}")
message("WITH_OPENMP:             ${WITH_OPENMP}")
message("WITH_PROFILING:          ${WITH_PROFILING}")

if(WIN32)
message("")
message("HAVE_MINGW:              ${HAVE_MINGW}")
message("HAVE_MINGW64:            ${HAVE_MINGW64}")
message("MINGW_PATH:              ${MINGW_PATH}")
message("MINGW_ARCH:              ${MINGW_ARCH}")
message("MINGW_ARCH_PATH:         ${MINGW_ARCH_PATH}")
if(NOT HAVE_MSYS2)
message("DEVLIBS_PATH:            ${DEVLIBS_PATH}")
message("DEVLIBS_LIB:             ${DEVLIBS_LIB}")
message("DEVLIBS_BIN:             ${DEVLIBS_BIN}")
message("PKG_CONFIG_PATH:         ${PKG_CONFIG_PATH}")
endif()
endif()

=== cxxtest/CMakeLists.txt ===

set(cxxtest_SRC
	#add stuff here
)

# Add New folders in src folder here

add_subdirectory(cxxtest)
add_subdirectory(docs)
add_subdirectory(sample)

=== po/CMakeLists.txt ===
# process and install .po files
file(GLOB LANGUAGES *.po)
foreach(language ${LANGUAGES})
    string(REGEX REPLACE "(.+(\\\\|/))+" "" language ${language})
    string(REGEX REPLACE "\\.po$" "" language ${language})
    set(pofile ${CMAKE_CURRENT_SOURCE_DIR}/${language}.po)
    set(gmofile ${CMAKE_CURRENT_BINARY_DIR}/${language}.gmo)
    GETTEXT_PROCESS_PO_FILES(${language} ALL PO_FILES ${pofile})
    install(FILES ${gmofile} DESTINATION "${PACKAGE_LOCALE_DIR}/${language}/LC_MESSAGES/" RENAME ${CMAKE_PROJECT_NAME}.mo)
endforeach(language)


# translate inkscape.desktop
if("${GETTEXT_VERSION_STRING}" VERSION_GREATER "0.19")
    add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/inkscape.desktop
        DEPENDS ${LANGUAGES}
        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --desktop --template ${CMAKE_SOURCE_DIR}/inkscape.desktop.template -d ${CMAKE_CURRENT_SOURCE_DIR} -o ${CMAKE_BINARY_DIR}/inkscape.desktop.template.in --keyword=Name --keyword=GenericName --keyword=X-GNOME-FullName --keyword=Comment --keyword=Keywords
        COMMAND ${CMAKE_COMMAND} -DINKSCAPE_SOURCE_DIR=${CMAKE_SOURCE_DIR} -DINKSCAPE_BINARY_DIR=${CMAKE_BINARY_DIR} -DENABLE_BINRELOC=${ENABLE_BINRELOC} -P ${CMAKE_SOURCE_DIR}/CMakeScripts/inkscape-desktop.cmake
	COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --xml --template ${CMAKE_SOURCE_DIR}/inkscape.appdata.xml.in -d ${CMAKE_CURRENT_SOURCE_DIR} -o ${CMAKE_BINARY_DIR}/inkscape.appdata.xml
    )
else()
    message("Old gettext version, not translating inkscape.desktop")
    add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/inkscape.desktop
        COMMAND cp ${CMAKE_SOURCE_DIR}/inkscape.desktop.template ${CMAKE_BINARY_DIR}/inkscape.desktop.template.in
        COMMAND ${CMAKE_COMMAND} -DINKSCAPE_SOURCE_DIR=${CMAKE_SOURCE_DIR} -DINKSCAPE_BINARY_DIR=${CMAKE_BINARY_DIR} -DENABLE_BINRELOC=${ENABLE_BINRELOC} -P ${CMAKE_SOURCE_DIR}/CMakeScripts/inkscape-desktop.cmake
	COMMAND cp ${CMAKE_SOURCE_DIR}/inkscape.appdata.xml.in ${CMAKE_BINARY_DIR}/inkscape.appdata.xml
    )
endif()
add_custom_target(inkscape_desktop ALL DEPENDS ${CMAKE_BINARY_DIR}/inkscape.desktop)


# update inkscape.pot
if(INTLTOOL-UPDATE)
    add_custom_command(OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/inkscape.pot
        COMMAND sh -c "${INTLTOOL-UPDATE} --pot --gettext-package=inkscape"
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )
    set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/inkscape.pot PROPERTIES GENERATED TRUE)

    add_custom_target(inkscape_pot ALL DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/inkscape.pot)
    add_dependencies(inkscape_pot filters_svg_h)
    add_dependencies(inkscape_pot palettes_h)
    add_dependencies(inkscape_pot patterns_svg_h)
    add_dependencies(inkscape_pot symbols_h)
    add_dependencies(inkscape_pot templates_h)
endif()

=== share/icons/application/CMakeLists.txt ===
set(PIXMAP_SIZES "16x16" "22x22" "24x24" "32x32" "48x48" "256x256")
set(THEME hicolor)
foreach(pixmap_size ${PIXMAP_SIZES})
  FILE(GLOB PIXMAP_FILES ${CMAKE_CURRENT_SOURCE_DIR}/${pixmap_size}/*.png ${CMAKE_CURRENT_SOURCE_DIR}/${pixmap_size}/*.svg)
  install(FILES ${PIXMAP_FILES} DESTINATION ${SHARE_INSTALL}/icons/${THEME}/${pixmap_size}/apps)
endforeach(pixmap_size)

# I hope that this is actually run after installing the files.
install(CODE "execute_process(COMMAND gtk-update-icon-cache -f -t ${CMAKE_INSTALL_PREFIX}/${SHARE_INSTALL}/icons/${THEME})")

=== debian/changelog ===
inkscape (0.92.4-5ubuntu3.1) focal; urgency=medium

  * debian/rules:
    - try building wtth O2 on ppc64el to workaround a compiler ICE

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 28 Feb 2020 15:02:28 +0100

inkscape (0.92.4-5ubuntu3) focal; urgency=medium

  * debian/patches/upstream/git_new_poppler.patch:
    - backported some upstream fixes to build with the new poppler

 -- Sebastien Bacher <seb128@debian.org>  Mon, 24 Feb 2020 15:18:10 +0100

inkscape (0.92.4-5ubuntu2) focal; urgency=medium

  * Build depend on python-all-dev instead of python-dev.
  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Feb 2020 10:32:55 +0100

inkscape (0.92.4-5) unstable; urgency=medium

  * Fix syntax error in a patch that would prevent building the package
    against an older version of cairo.
    Thanks to Thomas Arendsen Hein <thomas@intevation.de> for reporting.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 06 Feb 2020 14:43:49 +0100

inkscape (0.92.4-4) unstable; urgency=medium

  * Add patch from upstream to fix FTBFS with poppler 0.76.
  * d/control: Bump Standards-Version to 4.4.1, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 04 Oct 2019 22:33:06 +0200

inkscape (0.92.4-3) unstable; urgency=medium

  * Add patch from upstream master branch to output a useful error if the
    tutorials aren't installed.  LP: #1803021
  * d/control: switch Recommends from non-existent transfig to fig2dev.
    Closes: #925171

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 20 Mar 2019 21:54:39 +0100

inkscape (0.92.4-2) unstable; urgency=medium

  [ Matteo F. Vescovi ]
  * debian/control: drop myself from Uploaders.

  [ Mattia Rizzolo ]
  * Add a patch to update the appstream data file.  Closes: #920338

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 24 Jan 2019 19:29:41 +0100

inkscape (0.92.4-1) unstable; urgency=medium

  * New upstream version 0.92.4.
    http://wiki.inkscape.org/wiki/index.php/Release_notes/0.92.4
    https://inkscape.org/news/2019/01/17/inkscape-launches-version-0924/
  * d/patches:
    + Remove patches applied upstream.
    + Add patch to fix a spelling error.
  * d/control:
    + Bump debhelper compat level to 12.
    + Bump Standards-Version to 4.3.0, no changes needed.
    + Add a Build-Depends on libgmock-dev.
  * Update upstream signing key.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 17 Jan 2019 20:46:29 +0100

inkscape (0.92.3-7) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream to fix build with poppler 0.71

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Nov 2018 08:08:16 -0500

inkscape (0.92.3-6) unstable; urgency=medium

  * d/watch: fix a few syntax errors.  Thanks to yadd for pointing them out.
  * Add patch from upstream to fix crashes during shift/ctrl+click actions.
    Closes: #911652
  * Override lintian tag autotools-pkg-config-macro-not-cross-compilation-safe,
    as we are not using autotools.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Nov 2018 20:23:06 +0100

inkscape (0.92.3-5) unstable; urgency=medium

  * Re-arrenge the patch files.
  * Add patch from upstream to fix build with poppler 0.69.  Closes: #910867
  * Use the new debhelper-compat(=11) notation and drop d/compat.
  * Try to simplify d/watch using substitution patterns.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 13 Oct 2018 12:48:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Matteo F. Vescovi <mfv@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  bash-completion (>= 1:2.1-4.2),
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
- python,
+ python-all,
 Build-Depends-Arch:
  libaspell-dev,
  libboost-dev,
@@ -19,6 +18,7 @@
  libdbus-glib-1-dev,
  libgc-dev (>= 1:6.8),
  libglib2.0-dev,
+ libgmock-dev,
  libgsl-dev,
  libgtk2.0-dev (>= 2.10.0),
  libgtkmm-2.4-dev,
@@ -40,10 +40,10 @@
  libxml2-dev (>= 2-2.4.24),
  libxslt1-dev,
  pkg-config,
- python-dev,
+ python-all-dev,
  python-lxml,
  zlib1g-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Homepage: https://inkscape.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/inkscape.git
@@ -57,13 +57,13 @@
  ${shlibs:Depends},
 Recommends:
  aspell,
+ fig2dev,
  imagemagick,
  libimage-magick-perl,
  libwmf-bin,
  python-lxml,
  python-numpy,
  python-scour,
- transfig,
 Suggests:
  dia,
  inkscape-tutorials,

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,16 @@
 #!/usr/bin/make -f
+
+export PATH := $(PATH):$(CURDIR)/debian/bin
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+  export DEB_CXXFLAGS_MAINT_APPEND += -O2
+  export DEB_CXXFLAGS_MAINT_STRIP += -O3
+endif
+
 %:
-	dh $@ --buildsystem cmake --with python2,bash-completion
-
-# Don't waste CPU cycles in autoreconfig a package building with cmake.
-override_dh_autoreconf:
+	dh $@ --buildsystem cmake --with python2,bash-completion --without autoreconf
 
 override_dh_auto_configure-arch:
 	dh_auto_configure -- \
